<script setup lang="ts">
import {defineComponent, PropType} from "vue";
import {PatientStatisticVO, RoomBedVO} from "@/api/ecg/doctor";
import {isNumber} from "@/utils/is";

defineComponent({
  name: 'TitlePanel'
})

const  props = defineProps({
  titleType: Number,
  room: {
    type: Object as PropType<RoomBedVO>,
    required: true
  },
  patientStatistic: {
    type: Object as PropType<PatientStatisticVO>,
    required: true
  }
})

</script>

<template>
<div class="mytitle">
    <div>
      {{room.roomName || ''}} {{room.bedNo || ''}}
    </div>
    <div v-if="titleType === 0">
      已发放{{patientStatistic.receivedNum??0}}
      准备中{{patientStatistic.readyNum??0}}
      过号{{patientStatistic.passedNum??0}}
      排队中{{patientStatistic.queuingNum??0}}
    </div>
    <div v-if="titleType === 1">
      已装机{{patientStatistic.finishedNum??0}}
      待装机{{patientStatistic.receivedNum??0}}
    </div>
    <div v-if="titleType === 2">
      已检查{{patientStatistic.finishedNum??0}}
      准备中{{patientStatistic.readyNum??0}}
      过号{{patientStatistic.passedNum??0}}
      排队中{{patientStatistic.queuingNum??0}}
    </div>
</div>

</template>

<style scoped lang="scss">
.mytitle {
  display: flex;
  justify-content: space-between;
}
</style>
